{
  "name": "mcf-client-web",
  "version": "0.0.1",
  "scripts": {
    "build:prod": "NODE_ENV=production webpack --progress --config webpack.config.js --mode production",
    "build": "webpack --progress --config webpack.config.js",
    "clean": "rm -rf dist",
    "local": "webpack-serve",
    "lint": "yarn tslint && yarn stylelint && yarn tsc:check",
    "lint:fix": "yarn tslint --fix && prettier-stylelint --write '**/*.scss'",
    "stylelint": "stylelint --config .stylelintrc '**/*.scss'",
    "test": "jest",
    "test:watch": "jest --watch",
    "tsc:check": "tsc --noEmit --skipLibCheck && yarn tsc:check-config",
    "tsc:check-config": "tsc src/config/*.js --noEmit --skipLibCheck --allowJs --checkJs --lib es2016",
    "tslint": "tslint -c tslint.json -p . -t stylish"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:mycf.sg/mcf-client-web.git"
  },
  "license": "MIT",
  "author": "The MyCareersFuture Team",
  "dependencies": {
    "@babel/polyfill": "7.0.0-beta.51",
    "@govtechsg/mcf-mcfui": "https://gitlab.com/mycf.sg/lib-ui.git#2.0.83",
    "history": "4.7.2",
    "react": "16.4.1",
    "react-dom": "16.4.1",
    "react-redux": "5.0.7",
    "react-router": "4.3.1",
    "react-router-dom": "4.3.1",
    "react-router-redux": "5.0.0-alpha.9",
    "redux": "4.0.0",
    "redux-saga": "0.16.0",
    "tachyons": "4.10.0",
    "typesafe-actions": "^2.0.4"
  },
  "devDependencies": {
    "@babel/core": "7.0.0-beta.51",
    "@babel/plugin-proposal-object-rest-spread": "7.0.0-beta.51",
    "@babel/preset-env": "7.0.0-beta.51",
    "@babel/preset-react": "7.0.0-beta.51",
    "@babel/preset-stage-2": "7.0.0-beta.51",
    "@babel/preset-stage-3": "7.0.0-beta.51",
    "@babel/preset-typescript": "7.0.0-beta.51",
    "@types/enzyme": "3.1.10",
    "@types/enzyme-adapter-react-16": "1.0.2",
    "@types/jest": "23.3.1",
    "@types/mocha": "5.2.1",
    "@types/react": "16.3.16",
    "@types/react-dom": "16.0.6",
    "@types/react-redux": "6.0.2",
    "@types/react-router": "4.0.26",
    "@types/react-router-dom": "4.2.7",
    "@types/react-router-redux": "5.0.15",
    "@types/redux-mock-store": "0.0.13",
    "@types/webpack-env": "1.13.6",
    "autoprefixer": "8.6.0",
    "babel-eslint": "8.2.3",
    "babel-loader": "8.0.0-beta.3",
    "brotli-webpack-plugin": "1.0.0",
    "chai": "4.1.2",
    "compression-webpack-plugin": "1.1.11",
    "connect-history-api-fallback": "^1.5.0",
    "css-loader": "0.28.11",
    "cssnano": "4.0.0",
    "enzyme": "3.3.0",
    "enzyme-adapter-react-16": "1.1.1",
    "file-loader": "1.1.11",
    "html-webpack-plugin": "3.2.0",
    "identity-obj-proxy": "3.0.0",
    "jest": "23.5.0",
    "koa-connect": "^2.0.1",
    "postcss-inline-svg": "3.1.1",
    "postcss-loader": "2.1.5",
    "postcss-preset-env": "5.2.1",
    "prettier": "1.13.4",
    "prettier-stylelint": "0.4.2",
    "react-hot-loader": "4.3.0",
    "redux-mock-store": "1.5.1",
    "style-loader": "0.21.0",
    "stylelint": "9.3.0",
    "stylelint-config-prettier": "3.3.0",
    "stylelint-config-standard": "18.2.0",
    "ts-jest": "23.1.4",
    "tslint": "5.10.0",
    "tslint-config-prettier": "1.13.0",
    "tslint-eslint-rules": "5.3.1",
    "tslint-no-unused-expression-chai": "0.1.3",
    "tslint-plugin-prettier": "1.3.0",
    "tslint-react": "3.6.0",
    "typescript": "2.9.1",
    "typings-for-css-modules-loader": "1.7.0",
    "utility-types": "^2.0.0",
    "webpack": "4.11.0",
    "webpack-cli": "3.0.2",
    "webpack-serve": "2.0.2",
    "webpack-shell-plugin": "0.5.0"
  }
}
